Bug 13318

Summary: x86_64 build is broken
Product: [Development] Sisyphus Reporter: swi <swi@altlinux.org>
Component: python-module-PyQt4Assignee: Ivan Zakharyaschev <imz@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: normal    
Priority: P2 CC: antohami@altlinux.org, cas@altlinux.org, cow@altlinux.org, darktemplar@altlinux.org, enp@altlinux.org, evg@altlinux.org, george@altlinux.org, grenka@altlinux.org, lav@altlinux.org, mithraen@altlinux.org, nbr@altlinux.org, obirvalger@altlinux.org, php-coder@altlinux.org, qa_viy@altlinux.org, rider@altlinux.org, sem@altlinux.org, shaba@altlinux.org, sin@altlinux.org, slev@altlinux.org, vitty@altlinux.org, viy@altlinux.org, zerg@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   

Description From 2007-11-04 14:43:10
samurai@home ~ $ rpm -q python-module-PyQt4 libqt4
python-module-PyQt4-4.3-alt1
libqt4-4.3.2-alt1
samurai@home ~ $ python
Python 2.4.4 (#1, May 15 2007, 20:42:45)
[GCC 4.1.1 20070105 (ALT Linux, build 4.1.1-alt11)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from PyQt4 import QtGui
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
ImportError: cannot import name QtGui
>>>

Пробовал собрать -alt3 из сизифа завалилось на том что не нашло 
файл %buildroot/usr/lib64/qt4/designer/plugins/libpythonxxxx.so
------- Comment #1 From 2007-11-04 18:31:41 -------
Опа.
Qt Designer plugin disabled because Python library is static
Creating pyqtconfig.py...
+ '[' -n '' ']'
+ NPROCS=2
+ make -j2

Я чего то не понял - с каких %@##$ пор у нас qt4 стала статикой?
Или это его конфиг глючит? Собственно из-за этого сборка на x86_64 не проходит
------- Comment #2 From 2007-11-04 21:03:29 -------
Так. я ее жостко зопатчил и сразу 4.3.1
Можно выкладывать?
------- Comment #3 From 2007-11-05 20:57:04 -------
alt1 вообще не рабочий, а x86_64 у меня нет, и я не могу зафиксить эту багу в
alt3+.
Пришлите патч или ссылку на commit в git.
------- Comment #4 From 2007-11-05 21:06:09 -------
(In reply to comment #3)
> alt1 вообще не рабочий, а x86_64 у меня нет, и я не могу зафиксить эту багу 
в alt3+.
> Пришлите патч или ссылку на commit в git.

http://git.altlinux.org/people/swi/packages/?p=python-module-PyQt4.git;a=commit;h=3e7d3a2f8f762c6a779b76068a6436ff918bb863

У меня работает.
------- Comment #5 From 2007-12-18 13:15:29 -------
*скандирует* ф сизиф ф сизиф!
Оно вкусное получилось, работает, даже динамические либычки... :(
------- Comment #6 From 2008-01-05 13:59:26 -------
В Сизифе версия 4.3.3, также, согласно sisyphus.ru, есть пакеты для x86_64.
Закрываю как FIXED.
------- Comment #7 From 2008-01-05 21:02:26 -------
(In reply to comment #6)
> В Сизифе версия 4.3.3, также, согласно sisyphus.ru, есть пакеты для x86_64.
> Закрываю как FIXED.
Мало какая там версия в сизиф. Собирался он на x86_64 еще хз когда, только не
работал.
Проверь хотя бы
$python
>>> from PyQt4 import QtGui

Ах да - а там таки уже .so есть вместо статики? :)
------- Comment #8 From 2008-01-05 21:03:25 -------
(In reply to comment #6)
> В Сизифе версия 4.3.3, также, согласно sisyphus.ru, есть пакеты для x86_64.
> Закрываю как FIXED.
Мало какая там версия в сизиф. Собирался он на x86_64 еще хз когда, только не
работал.
Проверь хотя бы
$python
>>> from PyQt4 import QtGui

Ах да - а там таки уже .so есть вместо статики? :)
------- Comment #9 From 2008-07-05 11:10:16 -------
давно закрыто